"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDocs = exports.docsFields = void 0;
const client_1 = require("@apollo/client");
exports.docsFields = client_1.gql `
  fragment docsFields on ReactDocs {
    abstract
    properties {
      name
      description
      required
      type
      default: defaultValue {
        value
      }
    }
  }
`;
const getProperties = client_1.gql `
  query($id: String!) {
    getHost {
      id # used for GQL caching
      getDocs(id: $id) {
        ...docsFields
      }
    }
  }
  ${exports.docsFields}
`;
function useDocs(componentId) {
    var _a, _b;
    const id = componentId._legacy.name;
    const { data } = client_1.useQuery(getProperties, {
        variables: { id },
    });
    const properties = (_b = (_a = data === null || data === void 0 ? void 0 : data.getHost) === null || _a === void 0 ? void 0 : _a.getDocs) === null || _b === void 0 ? void 0 : _b.properties;
    return properties;
}
exports.useDocs = useDocs;
//# sourceMappingURL=get-docs.js.map